## dh-lua 11

=== Makefile ===
# Copyright: © 2012 Enrico Tassi <gareuselesinge@debian.org>
# License: MIT/X

DH_LUA_HOME=usr/share/dh-lua/
DH_HOME=usr/share/perl5/Debian/Debhelper/

all build:
	$(MAKE) -C doc/
       
clean:
	$(MAKE) -C doc/ clean

test:

install:
	mkdir -p $(DESTDIR)/$(DH_LUA_HOME)/template/
	mkdir -p $(DESTDIR)/$(DH_LUA_HOME)/make/
	mkdir -p $(DESTDIR)/$(DH_LUA_HOME)/test/5.1/
	mkdir -p $(DESTDIR)/$(DH_LUA_HOME)/test/5.2/
	mkdir -p $(DESTDIR)/$(DH_HOME)/Buildsystem/
	mkdir -p $(DESTDIR)/$(DH_HOME)/Sequence/
	mkdir -p $(DESTDIR)/usr/bin/
	cp bin/* $(DESTDIR)/usr/bin/
	cp template/* $(DESTDIR)/$(DH_LUA_HOME)/template/
	cp make/* $(DESTDIR)/$(DH_LUA_HOME)/make/
	cp test/5.1/* $(DESTDIR)/$(DH_LUA_HOME)/test/5.1/
	cp test/5.2/* $(DESTDIR)/$(DH_LUA_HOME)/test/5.2/
	cp debhelper7/buildsystem/* $(DESTDIR)/$(DH_HOME)/Buildsystem/
	cp debhelper7/sequence/* $(DESTDIR)/$(DH_HOME)/Sequence/

upload: all
	scp doc/html/* alioth.debian.org:pkg-lua/

## dh-lua 7

=== debian/changelog ===
dh-lua (7) unstable; urgency=low

  * Support multiple test files in LUA_TEST (separated by ;)
  * Honour LUA_INIT=string in app.c
  * Make LUA_SOURCES available to the tests
  * Improved logging 

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 22 Feb 2012 13:21:25 +0100

dh-lua (6) unstable; urgency=low

  * Compile with -Wall -Wextra
  * Cope with lua5.2 not having shake (yet) 
  * Avoid overwriting upstream .h file

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 22 Feb 2012 11:07:32 +0100

dh-lua (5) unstable; urgency=low

  * Depend on liblua5.1-0-dev, liblua5.2-dev, lua5.1, lua5.2, dctrl-tools
  * Clean up logging 

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 21 Feb 2012 12:52:31 +0100

dh-lua (4) unstable; urgency=low

  * Depend on libtool and pkg-config

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 21 Feb 2012 10:32:46 +0100

dh-lua (3) unstable; urgency=low

  * Build-depend on markdown

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 20 Feb 2012 22:54:29 +0100

dh-lua (2) unstable; urgency=low

  * Fixed build-depends and depends fields (debhelper >= 8)
  * Put binaris in /usr/bin and not /bin/

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 20 Feb 2012 22:50:28 +0100

dh-lua (1) unstable; urgency=low

  * Initial release. (Closes: #660251)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 19 Feb 2012 11:13:27 +0100

=== debian/control ===
Source: dh-lua
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 8.0.0), markdown
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/dh-lua
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/dh-lua
Homepage: http://pkg-lua.alioth.debian.org/

Package: dh-lua
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, debhelper (>= 8.0.0), dctrl-tools, libtool, pkg-config, liblua5.2-dev, lua5.2, liblua5.1-0-dev, lua5.1
Description: helper tools for maintaining Lua-related packages
 This package contains the Debian policy for the Debian packages relative to
 the Lua scripting language, as well as some tools to help build them.
 .
 This package is meant to superseed lua5.1-policy.

## dh-lua 11

=== debian/changelog ===
dh-lua (11) unstable; urgency=low

  * During tests set PATH so that 'lua' points to 'lua5.1' or 'lua5.2'
    depending on the current build. This avoids upstream tests that just
    call 'lua' to end up using the wrong lua interpreter.

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 02 Apr 2012 09:56:58 +0200

dh-lua (10) unstable; urgency=low

  * Honour DH_LUA_OPTS to fine tune the behaviour of dh-lua, mainly for
    debugging or working around bugs in the toolchains. 
    Supported options are:
    - verbose
    - skip-test-lua-synamic
    - skip-test-app-dynamic
    - skip-test-app-static

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 01 Apr 2012 13:37:04 +0200

dh-lua (9) unstable; urgency=low

  * Svn add debian/source/format when creating the layout of a new package
  * lua-create-svnbuildpackage-layout sets svn prop mergeWithUpstream
  * LUA_SOURCES installs files in their dirname 
  * Make LUA_SOURCES available to the test infrastructure 
  * Honour DH_VERBOSE 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 31 Mar 2012 18:12:59 +0200

dh-lua (8) unstable; urgency=low

  * Standards-version to 3.9.3
  * make/dh-lua.Makefile.single:
    - test-lua-app-dynamic target fixed, typo in the -fake variant
      target name
    - subst_vars fixed to make global substitutions
  * template/lib.install.in adds a line per item in LUA_SOURCES

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 25 Mar 2012 17:14:11 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
 Build-Depends: debhelper (>= 8.0.0), markdown
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/dh-lua
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/dh-lua
 Homepage: http://pkg-lua.alioth.debian.org/

## dh-lua 15

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 DH_LUA_HOME=usr/share/dh-lua/
 DH_HOME=usr/share/perl5/Debian/Debhelper/
 
-all build:
+all build: man/dh_lua.1
 	$(MAKE) -C doc/
        
 clean:
@@ -28,5 +28,8 @@
 	cp debhelper7/buildsystem/* $(DESTDIR)/$(DH_HOME)/Buildsystem/
 	cp debhelper7/sequence/* $(DESTDIR)/$(DH_HOME)/Sequence/
 
+man/dh_lua.1: bin/dh_lua
+	pod2man -c "dh_lua" -r "dh_lua" bin/dh_lua man/dh_lua.1
+
 upload: all
 	scp doc/html/* alioth.debian.org:pkg-lua/

=== doc/Makefile ===
all: html/policy.html

used-vars:
	lua get_used_vars.lua 

html/%.html:%.txt
	echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">' > $@
	echo "<html>" >> $@
	echo "<head>" >> $@
	# assume first line of markdown is main header to use for page title
	echo "<title>$(shell head -n 1 $<)</title>" >> $@
	echo '<link type="text/css" rel="stylesheet" href="style.css"/>' >> $@
	echo "</head>" >> $@
	echo "<body>" >> $@
	markdown $< >> $@
	echo "</body>" >> $@
	echo "</html>" >> $@

clean:
	rm -f html/policy.html

=== debian/changelog ===
dh-lua (15) unstable; urgency=low

  * Better template for dh-lua.conf 
  * Template for copyright (1.0 format) 
  * Template for control file 

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 09 May 2012 22:23:54 +0200

dh-lua (14) unstable; urgency=low

  * New dh_lua script, called after dh_install. Its only activity is to
    deduplicate usr/share/lua/5.2/ w.r.t. usr/share/lua/5.1/ 
  * Cleanup garbage in debian/ properly

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 06 May 2012 21:30:00 +0200

dh-lua (13) unstable; urgency=low

  * default value for PKG_VERSION 

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 03 May 2012 22:42:50 +0200

dh-lua (12) unstable; urgency=low

  * Add support for LUA_SOURCES_MANGLER.
  * Add support for test context in LUA_TEST.

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 18 Apr 2012 23:34:32 +0200

=== debian/control ===
Source: dh-lua
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 8.0.0), markdown, perl
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/dh-lua
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/dh-lua
Homepage: http://pkg-lua.alioth.debian.org/

Package: dh-lua
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, debhelper (>= 8.0.0), dctrl-tools, libtool, pkg-config, liblua5.2-dev, lua5.2, liblua5.1-0-dev, lua5.1, libfile-find-rule-perl
Description: helper tools for maintaining Lua-related packages
 This package contains the Debian policy for the Debian packages relative to
 the Lua scripting language, as well as some tools to help build them.
 .
 This package is meant to superseed lua5.1-policy.

## dh-lua 16~bpo70+1+0~1368435569.4+wheezy~1.gbp699d09

=== debian/changelog ===
dh-lua (16~bpo70+1+0~1368435569.4+wheezy~1.gbp699d09) UNRELEASED; urgency=low

  ** SNAPSHOT build @699d09a01a08eaa29e77abde6691c859159b7605 **

  * UNRELEASED

 -- Jenkins Sipwise <jenkins@sipwise.com>  Mon, 13 May 2013 10:59:29 +0200

dh-lua (16~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Victor Seva <vseva@sipwise.com>  Mon, 13 May 2013 10:57:29 +0200

dh-lua (16) unstable; urgency=low

  * Fixed some typos (thanks Sylvain Hitier) 
  * Support: `include @@TEMPLATE@@/...` in debian/foo.install.in
  * Support: `LUA_TEST_CUSTOM` in debian/foo.dh-lua.conf
  * Moved development to git.d.o
  * Clean: remove debian/trash
  * New tool: lua-create-gitbuildpackage-layout
  * Issue chmod 644 on files installed in /usr/share/lua/ 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 12 May 2012 18:56:58 +0200

## dh-lua 17

=== doc/Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
 all: html/policy.html
+
+POLICY_VERSION=$(shell cd ..;dpkg-parsechangelog | grep Version | cut -d : -f 2)
 
 used-vars:
 	lua get_used_vars.lua 
@@ -12,7 +14,7 @@
 	echo '<link type="text/css" rel="stylesheet" href="style.css"/>' >> $@
 	echo "</head>" >> $@
 	echo "<body>" >> $@
-	markdown $< >> $@
+	cat $< | sed 's/@@V@@/$(POLICY_VERSION)/' | markdown >> $@
 	echo "</body>" >> $@
 	echo "</html>" >> $@

=== debian/changelog ===
dh-lua (17) unstable; urgency=low

  * Use 0x04 as a character for sed s command to avoid grabbing
    any other character (assuming nobody uses ascii 0x04 in a file name). 
  * Better document LUA_SOURCES_MANGLER.
  * Write the version number in the policy (txt and html)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 16 Jun 2013 22:49:51 +0200

## dh-lua 19~ubuntu12.04.1

=== debian/changelog ===
dh-lua (19~ubuntu12.04.1) precise-backports; urgency=medium

  * No-change backport to precise (LP: #1401854)

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 21 Dec 2014 12:19:47 +0100

dh-lua (19) unstable; urgency=low

  * Add sequence autopkgtest to dh, calling dh_auto_test 
  * lua-create-gitbuildpackage-layout installs debian/tests/control
    and debian/tests/dh-lua-tests so that autopkgtest runs the
    lua-test-dynamic tests (they are run at build time only otherwise)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 14 Sep 2013 19:47:03 +0200

dh-lua (18) unstable; urgency=low

  * Do not override LUA_MODNAME_CPART_UNDERSCORE with the default value
  * Substitute @@V@@ with the actual policy version in html title

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 21 Aug 2013 10:16:13 +0200

## dh-lua 19

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 DH_LUA_HOME=usr/share/dh-lua/
 DH_HOME=usr/share/perl5/Debian/Debhelper/
+POLICY_VERSION=$(shell dpkg-parsechangelog | grep Version | cut -d : -f 2)
 
 all build: man/dh_lua.1
 	$(MAKE) -C doc/
@@ -20,6 +21,7 @@
 	mkdir -p $(DESTDIR)/$(DH_HOME)/Buildsystem/
 	mkdir -p $(DESTDIR)/$(DH_HOME)/Sequence/
 	mkdir -p $(DESTDIR)/usr/bin/
+	mkdir -p $(DESTDIR)/usr/share/doc/dh-lua/
 	cp bin/* $(DESTDIR)/usr/bin/
 	cp template/* $(DESTDIR)/$(DH_LUA_HOME)/template/
 	cp make/* $(DESTDIR)/$(DH_LUA_HOME)/make/
@@ -27,6 +29,8 @@
 	cp test/5.2/* $(DESTDIR)/$(DH_LUA_HOME)/test/5.2/
 	cp debhelper7/buildsystem/* $(DESTDIR)/$(DH_HOME)/Buildsystem/
 	cp debhelper7/sequence/* $(DESTDIR)/$(DH_HOME)/Sequence/
+	cat doc/policy.txt | sed 's/@@V@@/$(POLICY_VERSION)/' \
+		> $(DESTDIR)/usr/share/doc/dh-lua/policy.txt
 
 man/dh_lua.1: bin/dh_lua
 	pod2man -c "dh_lua" -r "dh_lua" bin/dh_lua man/dh_lua.1

=== doc/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	echo "<html>" >> $@
 	echo "<head>" >> $@
 	# assume first line of markdown is main header to use for page title
-	echo "<title>$(shell head -n 1 $<)</title>" >> $@
+	echo "<title>$(shell head -n 1 $< | sed 's/@@V@@/$(POLICY_VERSION)/')</title>" >> $@
 	echo '<link type="text/css" rel="stylesheet" href="style.css"/>' >> $@
 	echo "</head>" >> $@
 	echo "<body>" >> $@

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
 Build-Depends: debhelper (>= 8.0.0), markdown, perl
 Standards-Version: 3.9.3
-Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/dh-lua
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/dh-lua
+Vcs-Git: git://git.debian.org/git/pkg-lua/dh-lua.git
+Vcs-Browser: http://git.debian.org/?p=pkg-lua/dh-lua.git
 Homepage: http://pkg-lua.alioth.debian.org/
 
 Package: dh-lua

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
%:
	dh $@

## dh-lua 19.1

=== debian/changelog ===
dh-lua (19.1) unstable; urgency=medium

  * Non maintainer upload.
  * dh-lua: Depend on libtool-bin. Closes: #761794.

 -- Matthias Klose <doko@debian.org>  Wed, 08 Oct 2014 10:15:33 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: dh-lua
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, debhelper (>= 8.0.0), dctrl-tools, libtool, pkg-config, liblua5.2-dev, lua5.2, liblua5.1-0-dev, lua5.1, libfile-find-rule-perl
+Depends: ${misc:Depends}, ${perl:Depends}, debhelper (>= 8.0.0), dctrl-tools, libtool, libtool-bin, pkg-config, liblua5.2-dev, lua5.2, liblua5.1-0-dev, lua5.1, libfile-find-rule-perl
 Description: helper tools for maintaining Lua-related packages
  This package contains the Debian policy for the Debian packages relative to
  the Lua scripting language, as well as some tools to help build them.

## dh-lua 20~20131216091605.6+wheezy

=== debian/changelog ===
dh-lua (20~20131216091605.6+wheezy) UNRELEASED; urgency=low

  [ Enrico Tassi ]
  * Add jit to the supported LUA_VERSION

  [ Jenkins Sipwise ]
  * SNAPSHOT autobuild for unreleased 20 via jenkins-debian-glue.

 -- Jenkins Sipwise <jenkins@sipwise.com>  Mon, 16 Dec 2013 10:16:05 +0100

## dh-lua 22ubuntu1

=== debian/changelog ===
dh-lua (22ubuntu1) wily; urgency=medium

  * Build-Depends: txt2man
    Fixes FTBS

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 01 Sep 2015 14:02:01 -0600

dh-lua (22) unstable; urgency=medium

  * New binary package lua-any containing helper script for shebang lines 

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 18 Aug 2015 16:28:54 +0200

dh-lua (21) unstable; urgency=medium

  * Depend on lua5.3 
  * templates: use ${misc:Pre-Depends}
  * templates: set dh compat to 9

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 14 Aug 2015 18:27:23 +0200

dh-lua (20) unstable; urgency=low

  * Add jit to the supported LUA_VERSION
  * Add lua5.3 support
  * Acknowledge NMU 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 20 Oct 2013 15:55:11 +0200

=== debian/control ===
Source: dh-lua
Section: interpreters
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 8.0.0), markdown, perl, txt2man
Standards-Version: 3.9.6
Vcs-Git: git://git.debian.org/git/pkg-lua/dh-lua.git
Vcs-Browser: http://git.debian.org/?p=pkg-lua/dh-lua.git
Homepage: http://pkg-lua.alioth.debian.org/

Package: dh-lua
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, debhelper (>= 8.0.0), dctrl-tools, libtool, libtool-bin, pkg-config, liblua5.3-dev, lua5.3, liblua5.2-dev, lua5.2, liblua5.1-0-dev, lua5.1, libfile-find-rule-perl
Description: helper tools for maintaining Lua-related packages
 This package contains the Debian policy for the Debian packages relative to
 the Lua scripting language, as well as some tools to help build them.

Package: lua-any
Architecture: all
Depends: ${misc:Depends}, lua5.1 | lua
Description: helper script for shebang lines in Lua scripts
 Some Lua script do actually work with many, but not all, Lua versions
 in the Debian archive.  This package contains the lua-any interpreter to be
 used in the shebang lines of such scripts. lua-any reads metadata stored in
 comments in the Lua script and selects an appropriate Lua interpreter.

## dh-lua 23

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 DH_HOME=usr/share/perl5/Debian/Debhelper/
 POLICY_VERSION=$(shell dpkg-parsechangelog | grep Version | cut -d : -f 2)
 
-all build: man/dh_lua.1
+all build: man/dh_lua.1 man/lua-any.1
 	$(MAKE) -C doc/
        
 clean:
@@ -18,6 +18,7 @@
 	mkdir -p $(DESTDIR)/$(DH_LUA_HOME)/make/
 	mkdir -p $(DESTDIR)/$(DH_LUA_HOME)/test/5.1/
 	mkdir -p $(DESTDIR)/$(DH_LUA_HOME)/test/5.2/
+	mkdir -p $(DESTDIR)/$(DH_LUA_HOME)/test/5.3/
 	mkdir -p $(DESTDIR)/$(DH_HOME)/Buildsystem/
 	mkdir -p $(DESTDIR)/$(DH_HOME)/Sequence/
 	mkdir -p $(DESTDIR)/usr/bin/
@@ -27,6 +28,7 @@
 	cp make/* $(DESTDIR)/$(DH_LUA_HOME)/make/
 	cp test/5.1/* $(DESTDIR)/$(DH_LUA_HOME)/test/5.1/
 	cp test/5.2/* $(DESTDIR)/$(DH_LUA_HOME)/test/5.2/
+	cp test/5.3/* $(DESTDIR)/$(DH_LUA_HOME)/test/5.3/
 	cp debhelper7/buildsystem/* $(DESTDIR)/$(DH_HOME)/Buildsystem/
 	cp debhelper7/sequence/* $(DESTDIR)/$(DH_HOME)/Sequence/
 	cat doc/policy.txt | sed 's/@@V@@/$(POLICY_VERSION)/' \
@@ -35,5 +37,10 @@
 man/dh_lua.1: bin/dh_lua
 	pod2man -c "dh_lua" -r "dh_lua" bin/dh_lua man/dh_lua.1
 
+man/lua-any.1: man/lua-any.1.txt
+	txt2man -d "`dpkg-parsechangelog -S date`"\
+		-v "" -r "lua-any" -t "lua-any 1" \
+		$< > $@
+
 upload: all
 	scp doc/html/* alioth.debian.org:pkg-lua/

=== debian/changelog ===
dh-lua (23) unstable; urgency=medium

  * Build depend on txt2man (Closes: #796803) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 25 Aug 2015 16:41:06 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dh-lua
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Enrico Tassi <gareuselesinge@debian.org>
+Maintainer: Enrico Tassi <gareuselesinge@debian.org>
 Build-Depends: debhelper (>= 8.0.0), markdown, perl, txt2man
 Standards-Version: 3.9.6
 Vcs-Git: git://git.debian.org/git/pkg-lua/dh-lua.git

## dh-lua 23+nmu1

=== debian/changelog ===
dh-lua (23+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update app.c to emulate lua's ability to read a script from stdin, as used
    by lua-luv's test suite.  (Closes: #832078)

 -- James McCoy <jamessan@debian.org>  Fri, 12 Aug 2016 19:58:09 -0400

## dh-lua 24

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 DH_LUA_HOME=usr/share/dh-lua/
 DH_HOME=usr/share/perl5/Debian/Debhelper/
-POLICY_VERSION=$(shell dpkg-parsechangelog | grep Version | cut -d : -f 2)
+POLICY_VERSION=$(shell dpkg-parsechangelog | grep '^Version: ' | cut -d : -f 2)
 
 all build: man/dh_lua.1 man/lua-any.1
 	$(MAKE) -C doc/
@@ -19,6 +19,7 @@
 	mkdir -p $(DESTDIR)/$(DH_LUA_HOME)/test/5.1/
 	mkdir -p $(DESTDIR)/$(DH_LUA_HOME)/test/5.2/
 	mkdir -p $(DESTDIR)/$(DH_LUA_HOME)/test/5.3/
+	mkdir -p $(DESTDIR)/$(DH_LUA_HOME)/test/sandbox/
 	mkdir -p $(DESTDIR)/$(DH_HOME)/Buildsystem/
 	mkdir -p $(DESTDIR)/$(DH_HOME)/Sequence/
 	mkdir -p $(DESTDIR)/usr/bin/
@@ -29,6 +30,7 @@
 	cp test/5.1/* $(DESTDIR)/$(DH_LUA_HOME)/test/5.1/
 	cp test/5.2/* $(DESTDIR)/$(DH_LUA_HOME)/test/5.2/
 	cp test/5.3/* $(DESTDIR)/$(DH_LUA_HOME)/test/5.3/
+	cp test/sandbox/* $(DESTDIR)/$(DH_LUA_HOME)/test/sandbox/
 	cp debhelper7/buildsystem/* $(DESTDIR)/$(DH_HOME)/Buildsystem/
 	cp debhelper7/sequence/* $(DESTDIR)/$(DH_HOME)/Sequence/
 	cat doc/policy.txt | sed 's/@@V@@/$(POLICY_VERSION)/' \

=== debian/changelog ===
dh-lua (24) unstable; urgency=medium

  * Team upload
  * Acknowledge the NMU
  * Add support for luasandbox (i.e. lua embedded in libluasandbox0)
    (Closes: #844692)

 -- Mathieu Parent <sathieu@debian.org>  Thu, 01 Dec 2016 06:59:10 +0100

dh-lua (23+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Sort Lua-Versions, patch by Reiner Herrmann <reiner@reiner-h.de>
    (Closes: #826051)
  * Sort substvar content, patch by Chris Lamb <lamby@debian.org>
    (Closes: #835646)
  * Tweak dpkg-parsechangelog usage to cope with changelog entries with
    'Version' in their text.

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Sat, 05 Nov 2016 09:58:47 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: dh-lua
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, debhelper (>= 8.0.0), dctrl-tools, libtool, libtool-bin, pkg-config, liblua5.3-dev, lua5.3, liblua5.2-dev, lua5.2, liblua5.1-0-dev, lua5.1, libfile-find-rule-perl
+Depends: ${misc:Depends}, ${perl:Depends}, debhelper (>= 8.0.0), dctrl-tools, libtool, libtool-bin, pkg-config, liblua5.3-dev, lua5.3, liblua5.2-dev, lua5.2, liblua5.1-0-dev, lua5.1, libluasandbox-dev (>=  1.2.1-2~), libluasandbox-bin (>= 1.2.1-2~), libfile-find-rule-perl
 Description: helper tools for maintaining Lua-related packages
  This package contains the Debian policy for the Debian packages relative to
  the Lua scripting language, as well as some tools to help build them.

## dh-lua 25

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,6 @@
 	mkdir -p $(DESTDIR)/$(DH_LUA_HOME)/test/5.1/
 	mkdir -p $(DESTDIR)/$(DH_LUA_HOME)/test/5.2/
 	mkdir -p $(DESTDIR)/$(DH_LUA_HOME)/test/5.3/
-	mkdir -p $(DESTDIR)/$(DH_LUA_HOME)/test/sandbox/
 	mkdir -p $(DESTDIR)/$(DH_HOME)/Buildsystem/
 	mkdir -p $(DESTDIR)/$(DH_HOME)/Sequence/
 	mkdir -p $(DESTDIR)/usr/bin/
@@ -30,7 +29,6 @@
 	cp test/5.1/* $(DESTDIR)/$(DH_LUA_HOME)/test/5.1/
 	cp test/5.2/* $(DESTDIR)/$(DH_LUA_HOME)/test/5.2/
 	cp test/5.3/* $(DESTDIR)/$(DH_LUA_HOME)/test/5.3/
-	cp test/sandbox/* $(DESTDIR)/$(DH_LUA_HOME)/test/sandbox/
 	cp debhelper7/buildsystem/* $(DESTDIR)/$(DH_HOME)/Buildsystem/
 	cp debhelper7/sequence/* $(DESTDIR)/$(DH_HOME)/Sequence/
 	cat doc/policy.txt | sed 's/@@V@@/$(POLICY_VERSION)/' \

=== debian/changelog ===
dh-lua (25) unstable; urgency=medium

  * Team upload.
  * Drop support for luasandbox as it's soon going away (see #891191).
  * Update Vcs-* fields for migration to salsa.
  * Bump debhelper compat level to 11.
  * Bump Standards-Version to 4.1.4.
  * Update URL in copyright file.
  * Add execute permission to /usr/share/dh-lua/template/rules
  * Add recommends on dpkg-dev to avoid lintian warning about missing
    dependency on make (as used by the template/rules file).

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 16 Apr 2018 14:28:48 +0200

=== debian/control ===
Source: dh-lua
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 11~), markdown, perl, txt2man
Standards-Version: 4.1.4
Vcs-Git: https://salsa.debian.org/lua-team/dh-lua.git
Vcs-Browser: https://salsa.debian.org/lua-team/dh-lua
Homepage: http://pkg-lua.alioth.debian.org/

Package: dh-lua
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, debhelper (>= 8.0.0), dctrl-tools, libtool, libtool-bin, pkg-config, liblua5.3-dev, lua5.3, liblua5.2-dev, lua5.2, liblua5.1-0-dev, lua5.1, libfile-find-rule-perl
Recommends: dpkg-dev
Description: helper tools for maintaining Lua-related packages
 This package contains the Debian policy for the Debian packages relative to
 the Lua scripting language, as well as some tools to help build them.

Package: lua-any
Architecture: all
Depends: ${misc:Depends}, lua5.1 | lua
Description: helper script for shebang lines in Lua scripts
 Some Lua script do actually work with many, but not all, Lua versions
 in the Debian archive.  This package contains the lua-any interpreter to be
 used in the shebang lines of such scripts. lua-any reads metadata stored in
 comments in the Lua script and selects an appropriate Lua interpreter.

## dh-lua 25+nmu1

=== debian/changelog ===
dh-lua (25+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:18:42 +0800

## dh-lua 26

=== debian/changelog ===
dh-lua (26) experimental; urgency=medium

  * Add support for Lua 5.4 (closes: #932488).
  * Use deduplication by dh_lua in case when minimum Lua version is
    higher than 5.1.
  * Bump debhelper compat level to 12.
  * Bump Standards-Version to 4.4.0.
  * Increase build log verbosity by removing --silent from libtool calls
    (closes: 889883).
  * Change the maintainer's address to the Lua Team mailing list.
  * Add myself to uploaders.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 31 Jul 2019 21:32:38 +0300

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,21 @@
 Source: dh-lua
 Section: interpreters
 Priority: optional
-Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: debhelper (>= 11~), markdown, perl, txt2man
-Standards-Version: 4.1.4
+Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
+Uploaders: Enrico Tassi <gareuselesinge@debian.org>, Sergei Golovan <sgolovan@debian.org>
+Build-Depends: debhelper (>= 12~), markdown, perl, txt2man
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/lua-team/dh-lua.git
 Vcs-Browser: https://salsa.debian.org/lua-team/dh-lua
 Homepage: http://pkg-lua.alioth.debian.org/
 
 Package: dh-lua
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, debhelper (>= 8.0.0), dctrl-tools, libtool, libtool-bin, pkg-config, liblua5.3-dev, lua5.3, liblua5.2-dev, lua5.2, liblua5.1-0-dev, lua5.1, libfile-find-rule-perl
+Depends: ${misc:Depends}, ${perl:Depends}, debhelper (>= 8.0.0), dctrl-tools, libtool, libtool-bin, pkg-config, libfile-find-rule-perl,
+ liblua5.4-dev, lua5.4,
+ liblua5.3-dev, lua5.3,
+ liblua5.2-dev, lua5.2,
+ liblua5.1-0-dev, lua5.1
 Recommends: dpkg-dev
 Description: helper tools for maintaining Lua-related packages
  This package contains the Debian policy for the Debian packages relative to

## dh-lua 27

=== Makefile ===
--- 
+++ 
@@ -19,6 +19,7 @@
 	mkdir -p $(DESTDIR)/$(DH_LUA_HOME)/test/5.1/
 	mkdir -p $(DESTDIR)/$(DH_LUA_HOME)/test/5.2/
 	mkdir -p $(DESTDIR)/$(DH_LUA_HOME)/test/5.3/
+	mkdir -p $(DESTDIR)/$(DH_LUA_HOME)/test/5.4/
 	mkdir -p $(DESTDIR)/$(DH_HOME)/Buildsystem/
 	mkdir -p $(DESTDIR)/$(DH_HOME)/Sequence/
 	mkdir -p $(DESTDIR)/usr/bin/
@@ -29,6 +30,7 @@
 	cp test/5.1/* $(DESTDIR)/$(DH_LUA_HOME)/test/5.1/
 	cp test/5.2/* $(DESTDIR)/$(DH_LUA_HOME)/test/5.2/
 	cp test/5.3/* $(DESTDIR)/$(DH_LUA_HOME)/test/5.3/
+	cp test/5.4/* $(DESTDIR)/$(DH_LUA_HOME)/test/5.4/
 	cp debhelper7/buildsystem/* $(DESTDIR)/$(DH_HOME)/Buildsystem/
 	cp debhelper7/sequence/* $(DESTDIR)/$(DH_HOME)/Sequence/
 	cat doc/policy.txt | sed 's/@@V@@/$(POLICY_VERSION)/' \

=== debian/changelog ===
dh-lua (27) unstable; urgency=medium

  * Upload to unstable since Lua 5.4 is finally released.
  * replace old Alioth Lua Team homepage by the new Salsa one.
  * Bump Standards-Version to 4.5.0.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 30 Jun 2020 19:22:21 +0300

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
 Uploaders: Enrico Tassi <gareuselesinge@debian.org>, Sergei Golovan <sgolovan@debian.org>
 Build-Depends: debhelper (>= 12~), markdown, perl, txt2man
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/lua-team/dh-lua.git
 Vcs-Browser: https://salsa.debian.org/lua-team/dh-lua
-Homepage: http://pkg-lua.alioth.debian.org/
+Homepage: https://salsa.debian.org/lua-team/
 
 Package: dh-lua
 Architecture: all

## dh-lua 27ubuntu1

=== doc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 all: html/policy.html
 
-POLICY_VERSION=$(shell cd ..;dpkg-parsechangelog | grep Version | cut -d : -f 2)
+POLICY_VERSION=$(shell cd ..;dpkg-parsechangelog | grep '^Version: ' | cut -d : -f 2)
 
 used-vars:
 	lua get_used_vars.lua

=== debian/changelog ===
dh-lua (27ubuntu1) jammy; urgency=medium

  * d/control: Add glibc-tools to Depends: to get catchsegv. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 09 Feb 2022 12:33:31 +1300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dh-lua
 Section: interpreters
 Priority: optional
-Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
 Uploaders: Enrico Tassi <gareuselesinge@debian.org>, Sergei Golovan <sgolovan@debian.org>
 Build-Depends: debhelper (>= 12~), markdown, perl, txt2man
 Standards-Version: 4.5.0
@@ -11,7 +12,7 @@
 
 Package: dh-lua
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, debhelper (>= 8.0.0), dctrl-tools, libtool, libtool-bin, pkg-config, libfile-find-rule-perl,
+Depends: ${misc:Depends}, ${perl:Depends}, debhelper (>= 8.0.0), dctrl-tools, glibc-tools, libtool, libtool-bin, pkg-config, libfile-find-rule-perl,
  liblua5.4-dev, lua5.4,
  liblua5.3-dev, lua5.3,
  liblua5.2-dev, lua5.2,

## dh-lua 27+nmu1

=== debian/changelog ===
dh-lua (27+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * make/dh-lua.Makefile.single: stop wrapping commands through catchsegv
    (closes: #1017832).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 03 Sep 2022 09:25:48 +0000

## dh-lua 29

=== Makefile ===
--- 
+++ 
@@ -31,6 +31,7 @@
 	cp test/5.2/* $(DESTDIR)/$(DH_LUA_HOME)/test/5.2/
 	cp test/5.3/* $(DESTDIR)/$(DH_LUA_HOME)/test/5.3/
 	cp test/5.4/* $(DESTDIR)/$(DH_LUA_HOME)/test/5.4/
+	cp data/configure.ac $(DESTDIR)/$(DH_LUA_HOME)/
 	cp debhelper7/buildsystem/* $(DESTDIR)/$(DH_HOME)/Buildsystem/
 	cp debhelper7/sequence/* $(DESTDIR)/$(DH_HOME)/Sequence/
 	cat doc/policy.txt | sed 's/@@V@@/$(POLICY_VERSION)/' \

=== debian/changelog ===
dh-lua (29) unstable; urgency=medium

  * Remove Enrico Tassi from the uploaders list (closes: #995544).
  * Don't use deprecated `which`, use `command -v` instead in Makefile.single.
  * Put versioned policy.txt to the doc directory.
  * Add a patch by Helmut Grohne to stop using libtool-bin. (closes: #1024721).
  * Switch build dependency to debhelper-compat.
  * Bump Debhelper compatibility level to 13.
  * Bump Standards-Version to 4.6.1.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 06 Jan 2023 10:08:06 +0300

dh-lua (28) unstable; urgency=medium

  * Team upload
  [ Helmut Grohne ]
  * Allow using the lua addon declaratively. (Closes: #1024706)

 -- Jérémy Lal <kapouer@melix.org>  Wed, 23 Nov 2022 16:02:26 +0100

=== debian/control ===
Source: dh-lua
Section: interpreters
Priority: optional
Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
Uploaders: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper-compat (= 13), markdown, perl, txt2man
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/lua-team/dh-lua.git
Vcs-Browser: https://salsa.debian.org/lua-team/dh-lua
Homepage: https://salsa.debian.org/lua-team/

Package: dh-lua
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, debhelper (>= 8.0.0), dctrl-tools, libtool, pkg-config, libfile-find-rule-perl,
 liblua5.4-dev, lua5.4,
 liblua5.3-dev, lua5.3,
 liblua5.2-dev, lua5.2,
 liblua5.1-0-dev, lua5.1
Provides: dh-sequence-lua
Recommends: dpkg-dev
Description: helper tools for maintaining Lua-related packages
 This package contains the Debian policy for the Debian packages relative to
 the Lua scripting language, as well as some tools to help build them.

Package: lua-any
Architecture: all
Depends: ${misc:Depends}, lua5.1 | lua
Description: helper script for shebang lines in Lua scripts
 Some Lua script do actually work with many, but not all, Lua versions
 in the Debian archive.  This package contains the lua-any interpreter to be
 used in the shebang lines of such scripts. lua-any reads metadata stored in
 comments in the Lua script and selects an appropriate Lua interpreter.

## dh-lua 30

=== debian/changelog ===
dh-lua (30) unstable; urgency=medium

  * Team upload.
  * Port to python3-markdown.

 -- Bastian Germann <bage@debian.org>  Wed, 22 May 2024 20:01:51 +0000

## dh-lua 31

=== debian/changelog ===
dh-lua (31) unstable; urgency=medium

  * Team upload.
  * make: missing dependency for LUA_HEADER rule.

 -- Victor Seva <vseva@debian.org>  Wed, 25 Sep 2024 17:22:48 +0200

## dh-lua 33

=== debian/changelog ===
dh-lua (33) unstable; urgency=medium

  * Team upload.
  * make: missing dep on test phase, take four

 -- Victor Seva <vseva@debian.org>  Mon, 28 Oct 2024 10:50:41 +0100

dh-lua (32) unstable; urgency=medium

  * Team upload.
  * make: missing dependency on test phase
  * debhelper: install step, remove destdir parameter

 -- Victor Seva <vseva@debian.org>  Thu, 03 Oct 2024 15:52:46 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
-Build-Depends: debhelper-compat (= 13), markdown, perl, txt2man
+Build-Depends: debhelper-compat (= 13), python3-markdown, perl, txt2man
 Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/lua-team/dh-lua.git
 Vcs-Browser: https://salsa.debian.org/lua-team/dh-lua

## dh-lua 34

=== debian/changelog ===
dh-lua (34) unstable; urgency=medium

  * Team upload
  * d/copyright: Convert to machine-readable format
  * Remove lua-create-svnbuildpackage-layout
  * Update pkg template
  * Drop make target 'upload' which references alioth
  * Drop lua5.2 support. debian/lua5.2*.conf files are ignored.
    The affected packages are all at the bottom of the lua5.2 dependency tree.

  [ Alexandre Detiste ]
  * replace obsolete pkg-config with pkgconf

 -- Bastian Germann <bage@debian.org>  Tue, 14 Oct 2025 00:24:01 +0200

## dh-lua 35

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,6 @@
 	mkdir -p $(DESTDIR)/$(DH_LUA_HOME)/template/
 	mkdir -p $(DESTDIR)/$(DH_LUA_HOME)/make/
 	mkdir -p $(DESTDIR)/$(DH_LUA_HOME)/test/5.1/
-	mkdir -p $(DESTDIR)/$(DH_LUA_HOME)/test/5.2/
 	mkdir -p $(DESTDIR)/$(DH_LUA_HOME)/test/5.3/
 	mkdir -p $(DESTDIR)/$(DH_LUA_HOME)/test/5.4/
 	mkdir -p $(DESTDIR)/$(DH_HOME)/Buildsystem/
@@ -28,7 +27,6 @@
 	cp template/* $(DESTDIR)/$(DH_LUA_HOME)/template/
 	cp make/* $(DESTDIR)/$(DH_LUA_HOME)/make/
 	cp test/5.1/* $(DESTDIR)/$(DH_LUA_HOME)/test/5.1/
-	cp test/5.2/* $(DESTDIR)/$(DH_LUA_HOME)/test/5.2/
 	cp test/5.3/* $(DESTDIR)/$(DH_LUA_HOME)/test/5.3/
 	cp test/5.4/* $(DESTDIR)/$(DH_LUA_HOME)/test/5.4/
 	cp data/configure.ac $(DESTDIR)/$(DH_LUA_HOME)/
@@ -44,6 +42,3 @@
 	txt2man -d "`dpkg-parsechangelog -S date`"\
 		-v "" -r "lua-any" -t "lua-any 1" \
 		$< > $@
-
-upload: all
-	scp doc/html/* alioth.debian.org:pkg-lua/

=== doc/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	echo '<link type="text/css" rel="stylesheet" href="style.css"/>' >> $@
 	echo "</head>" >> $@
 	echo "<body>" >> $@
-	cat $< | sed 's/@@V@@/$(POLICY_VERSION)/' | markdown >> $@
+	cat $< | sed 's/@@V@@/$(POLICY_VERSION)/' | markdown_py >> $@
 	echo "</body>" >> $@
 	echo "</html>" >> $@

=== debian/changelog ===
dh-lua (35) unstable; urgency=medium

  * Team upload
  * Drop test/5.2
  * Filter more lua5.2 config files

 -- Bastian Germann <bage@debian.org>  Tue, 14 Oct 2025 12:04:31 +0200

=== debian/control ===
Source: dh-lua
Section: interpreters
Priority: optional
Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
Uploaders:
 Sergei Golovan <sgolovan@debian.org>,
 Victor Seva <vseva@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 perl,
 python3-markdown,
 txt2man,
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/lua-team/dh-lua.git
Vcs-Browser: https://salsa.debian.org/lua-team/dh-lua
Homepage: https://salsa.debian.org/lua-team/

Package: dh-lua
Architecture: all
Depends:
 dctrl-tools,
 debhelper (>= 8.0.0),
 libfile-find-rule-perl,
 liblua5.1-0-dev,
 liblua5.3-dev,
 liblua5.4-dev,
 libtool,
 lua5.1,
 lua5.3,
 lua5.4,
 pkgconf,
 ${misc:Depends},
 ${perl:Depends},
Provides:
 dh-sequence-lua,
Recommends:
 dpkg-dev,
Description: helper tools for maintaining Lua-related packages
 This package contains the Debian policy for the Debian packages relative to
 the Lua scripting language, as well as some tools to help build them.

Package: lua-any
Architecture: all
Depends:
 lua5.1 | lua,
 ${misc:Depends},
Description: helper script for shebang lines in Lua scripts
 Some Lua script do actually work with many, but not all, Lua versions
 in the Debian archive.  This package contains the lua-any interpreter to be
 used in the shebang lines of such scripts. lua-any reads metadata stored in
 comments in the Lua script and selects an appropriate Lua interpreter.

## dh-lua 36

=== Makefile ===
--- 
+++ 
@@ -19,6 +19,7 @@
 	mkdir -p $(DESTDIR)/$(DH_LUA_HOME)/test/5.1/
 	mkdir -p $(DESTDIR)/$(DH_LUA_HOME)/test/5.3/
 	mkdir -p $(DESTDIR)/$(DH_LUA_HOME)/test/5.4/
+	mkdir -p $(DESTDIR)/$(DH_LUA_HOME)/test/5.5/
 	mkdir -p $(DESTDIR)/$(DH_HOME)/Buildsystem/
 	mkdir -p $(DESTDIR)/$(DH_HOME)/Sequence/
 	mkdir -p $(DESTDIR)/usr/bin/
@@ -29,6 +30,7 @@
 	cp test/5.1/* $(DESTDIR)/$(DH_LUA_HOME)/test/5.1/
 	cp test/5.3/* $(DESTDIR)/$(DH_LUA_HOME)/test/5.3/
 	cp test/5.4/* $(DESTDIR)/$(DH_LUA_HOME)/test/5.4/
+	cp test/5.5/* $(DESTDIR)/$(DH_LUA_HOME)/test/5.5/
 	cp data/configure.ac $(DESTDIR)/$(DH_LUA_HOME)/
 	cp debhelper7/buildsystem/* $(DESTDIR)/$(DH_HOME)/Buildsystem/
 	cp debhelper7/sequence/* $(DESTDIR)/$(DH_HOME)/Sequence/

=== debian/changelog ===
dh-lua (36) unstable; urgency=medium

  * Team upload
  * Add support for lua5.5

 -- Bastian Germann <bage@debian.org>  Thu, 26 Feb 2026 11:59:31 +0100

=== debian/control ===
--- 
+++ 
@@ -24,10 +24,12 @@
  liblua5.1-0-dev,
  liblua5.3-dev,
  liblua5.4-dev,
+ liblua5.5-dev,
  libtool,
  lua5.1,
  lua5.3,
  lua5.4,
+ lua5.5,
  pkgconf,
  ${misc:Depends},
  ${perl:Depends},
